Puntuado con 5 de 5 estrellas

If version 1.5.2 supports Firefox 10.*, why is it that the 1.6.* versions only support Firefox 9.*?

Esta valoración es de una versión anterior del complemento (1.5.2.1-signed.1-signed).  Este usuario tiene otras valoraciones de este complemento.